From 9da845c34b11ee8aca99e10350269e548b63f422 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: May 04 2017 22:05:20 +0000
Subject: [PATCH 821/1001] Exclude the tests themselves from coverage


---

diff --git a/.coveragerc b/.coveragerc
new file mode 100644
index 0000000..5db0f74
--- /dev/null
+++ b/.coveragerc
@@ -0,0 +1,5 @@
+[run]
+source = hubs
+omit =
+    hubs/tests/*
+    hubs/migrations/*
diff --git a/setup.cfg b/setup.cfg
index 963de6b..2f576f8 100644
--- a/setup.cfg
+++ b/setup.cfg
@@ -2,3 +2,4 @@
 verbosity=2
 nocapture=1
 with-yanc=1
+cover-package=hubs
diff --git a/tox.ini b/tox.ini
index 291e2b9..4c98c45 100644
--- a/tox.ini
+++ b/tox.ini
@@ -17,7 +17,7 @@ whitelist_externals =
     rm
 commands =
     rm -f /var/tmp/fedora-hubs-cache.db*
-    nosetests --with-coverage --cover-erase --cover-package=hubs {posargs:hubs}
+    nosetests --with-coverage --cover-erase {posargs:hubs}
 
 [testenv:js]
 skip_install = True

